/*
 A base class to implement the common functions of a Google Maps plugin
 */


#import <Cocoa/Cocoa.h>
#import "GoogleMapAddress.h"
#import <AddressBook/AddressBook.h>

@interface GoogleAddressPlugin : NSObject 
{
}

- (NSString *)actionProperty;
- (NSString *)titleForPerson:(ABPerson *)person identifier:(NSString *)identifier;
- (void)performActionForPerson:(ABPerson *)person identifier:(NSString *)identifier;
- (BOOL)shouldEnableActionForPerson:(ABPerson *)person identifier:(NSString *)identifier;

+ (void)setAddressOptions:(GoogleMapAddress *)address;
+ (NSString *)googleDomain;
+ (BOOL)createAndDisplayURLFromString:(NSString *)googleURL;

@end
