

#import <Cocoa/Cocoa.h>


extern NSString * const PreferencesApartmentLabelKey;


extern NSString * const CountryNameKey;
extern NSString * const CountryCodeKey;
extern NSString * const CountryDomainKey;


@interface PreferencesManager : NSObject 
{	
	NSMutableDictionary *preferences;	
	NSArray * staticCountries;
}

+(PreferencesManager *)sharedPreferences;

-(void)savePreferences;


// Simply for bindings, don't use directly
-(NSMutableDictionary *)preferences;
-(void)setPreferences:(NSDictionary *)newPreferences;


-(BOOL)addContactPhoneNumbers;
-(void)setAddContactPhoneNumbers:(BOOL)yn;
-(BOOL)requireOptionKeyToDisplay;
-(void)setRequireOptionKeyToDisplay:(BOOL)yn;
-(BOOL)useNameAsLabel;
-(void)setUseNameAsLabel:(BOOL)yn;
-(BOOL)useCountryField;
-(void)setUseCountryField:(BOOL)yn;

-(BOOL)addCountry;
-(void)setAddCountry:(BOOL)yn;

-(NSString *)charactersToIgnore;
-(void)setCharactersToIgnore:(NSString *)value;
-(BOOL)filterApartments;
-(void)setFilterApartments:(BOOL)yn;
-(NSMutableArray *)apartmentLabels;
-(void)setApartmentLabels:(NSArray *)array;
-(BOOL)USIgnoreZIPCode;
-(void)setUSIgnoreZIPCode:(BOOL)yn;
-(BOOL)USIgnoreZIPPlusFour;
-(void)setUSIgnoreZIPPlusFour:(BOOL)yn;
-(BOOL)UKUseOnlyPostalCode;
-(void)setUKUseOnlyPostalCode:(BOOL)yn;
-(BOOL)CAIgnorePostalCode;
-(void)setCAIgnorePostalCode:(BOOL)yn;
-(BOOL)japanIgnorePostalCode;
-(void)setJapanIgnorePostalCode:(BOOL)yn;
-(BOOL)japanIgnoreStreet;
-(void)setJapanIgnoreStreet:(BOOL)yn;
-(BOOL)sortByLastName;
-(void)setSortByLastName:(BOOL)yn;
-(NSString *)numberSeparator;
-(void)setNumberSeparator:(NSString *)newSeparator;


-(NSArray *)arrayOfAddressLabels;

-(BOOL)hasShownDonation;
-(void)setHasShownDonation:(BOOL)yn;

-(void)setRunCount:(NSNumber *)counter;
-(NSNumber *)runCount;

-(NSArray *)countries; 

-(unsigned int)defaultCountry;
-(NSDictionary *)defaultCountryDictionary;
-(void)setDefaultCountry:(unsigned int)value;


-(NSString *)googleEarth;

//-(NSArray *)sorting;

@end
